Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network125.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
125.0.0.0
Broadcast address
125.127.255.255
First usable
125.0.0.1
Last usable
125.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7D000000 · Integer 2097152000 to 2105540607
Reverse DNS zones
0.125.in-addr.arpa
1.125.in-addr.arpa
2.125.in-addr.arpa
3.125.in-addr.arpa
4.125.in-addr.arpa
5.125.in-addr.arpa
6.125.in-addr.arpa
7.125.in-addr.arpa
8.125.in-addr.arpa
9.125.in-addr.arpa
10.125.in-addr.arpa
11.125.in-addr.arpa
12.125.in-addr.arpa
13.125.in-addr.arpa
14.125.in-addr.arpa
15.125.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111101.00000000.00000000.00000000125.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111101.00000000.00000000.00000000125.0.0.0
Broadcast01111101.01111111.11111111.11111111125.127.255.255
Split into smaller subnets/16

125.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1125.0.0.0/16125.0.0.1 to 125.0.255.254125.0.255.25565,534
2125.1.0.0/16125.1.0.1 to 125.1.255.254125.1.255.25565,534
3125.2.0.0/16125.2.0.1 to 125.2.255.254125.2.255.25565,534
4125.3.0.0/16125.3.0.1 to 125.3.255.254125.3.255.25565,534
5125.4.0.0/16125.4.0.1 to 125.4.255.254125.4.255.25565,534
6125.5.0.0/16125.5.0.1 to 125.5.255.254125.5.255.25565,534
7125.6.0.0/16125.6.0.1 to 125.6.255.254125.6.255.25565,534
8125.7.0.0/16125.7.0.1 to 125.7.255.254125.7.255.25565,534
9125.8.0.0/16125.8.0.1 to 125.8.255.254125.8.255.25565,534
10125.9.0.0/16125.9.0.1 to 125.9.255.254125.9.255.25565,534
11125.10.0.0/16125.10.0.1 to 125.10.255.254125.10.255.25565,534
12125.11.0.0/16125.11.0.1 to 125.11.255.254125.11.255.25565,534
13125.12.0.0/16125.12.0.1 to 125.12.255.254125.12.255.25565,534
14125.13.0.0/16125.13.0.1 to 125.13.255.254125.13.255.25565,534
15125.14.0.0/16125.14.0.1 to 125.14.255.254125.14.255.25565,534
16125.15.0.0/16125.15.0.1 to 125.15.255.254125.15.255.25565,534
17125.16.0.0/16125.16.0.1 to 125.16.255.254125.16.255.25565,534
18125.17.0.0/16125.17.0.1 to 125.17.255.254125.17.255.25565,534
19125.18.0.0/16125.18.0.1 to 125.18.255.254125.18.255.25565,534
20125.19.0.0/16125.19.0.1 to 125.19.255.254125.19.255.25565,534
21125.20.0.0/16125.20.0.1 to 125.20.255.254125.20.255.25565,534
22125.21.0.0/16125.21.0.1 to 125.21.255.254125.21.255.25565,534
23125.22.0.0/16125.22.0.1 to 125.22.255.254125.22.255.25565,534
24125.23.0.0/16125.23.0.1 to 125.23.255.254125.23.255.25565,534
25125.24.0.0/16125.24.0.1 to 125.24.255.254125.24.255.25565,534
26125.25.0.0/16125.25.0.1 to 125.25.255.254125.25.255.25565,534
27125.26.0.0/16125.26.0.1 to 125.26.255.254125.26.255.25565,534
28125.27.0.0/16125.27.0.1 to 125.27.255.254125.27.255.25565,534
29125.28.0.0/16125.28.0.1 to 125.28.255.254125.28.255.25565,534
30125.29.0.0/16125.29.0.1 to 125.29.255.254125.29.255.25565,534
31125.30.0.0/16125.30.0.1 to 125.30.255.254125.30.255.25565,534
32125.31.0.0/16125.31.0.1 to 125.31.255.254125.31.255.25565,534
33125.32.0.0/16125.32.0.1 to 125.32.255.254125.32.255.25565,534
34125.33.0.0/16125.33.0.1 to 125.33.255.254125.33.255.25565,534
35125.34.0.0/16125.34.0.1 to 125.34.255.254125.34.255.25565,534
36125.35.0.0/16125.35.0.1 to 125.35.255.254125.35.255.25565,534
37125.36.0.0/16125.36.0.1 to 125.36.255.254125.36.255.25565,534
38125.37.0.0/16125.37.0.1 to 125.37.255.254125.37.255.25565,534
39125.38.0.0/16125.38.0.1 to 125.38.255.254125.38.255.25565,534
40125.39.0.0/16125.39.0.1 to 125.39.255.254125.39.255.25565,534
41125.40.0.0/16125.40.0.1 to 125.40.255.254125.40.255.25565,534
42125.41.0.0/16125.41.0.1 to 125.41.255.254125.41.255.25565,534
43125.42.0.0/16125.42.0.1 to 125.42.255.254125.42.255.25565,534
44125.43.0.0/16125.43.0.1 to 125.43.255.254125.43.255.25565,534
45125.44.0.0/16125.44.0.1 to 125.44.255.254125.44.255.25565,534
46125.45.0.0/16125.45.0.1 to 125.45.255.254125.45.255.25565,534
47125.46.0.0/16125.46.0.1 to 125.46.255.254125.46.255.25565,534
48125.47.0.0/16125.47.0.1 to 125.47.255.254125.47.255.25565,534
49125.48.0.0/16125.48.0.1 to 125.48.255.254125.48.255.25565,534
50125.49.0.0/16125.49.0.1 to 125.49.255.254125.49.255.25565,534
51125.50.0.0/16125.50.0.1 to 125.50.255.254125.50.255.25565,534
52125.51.0.0/16125.51.0.1 to 125.51.255.254125.51.255.25565,534
53125.52.0.0/16125.52.0.1 to 125.52.255.254125.52.255.25565,534
54125.53.0.0/16125.53.0.1 to 125.53.255.254125.53.255.25565,534
55125.54.0.0/16125.54.0.1 to 125.54.255.254125.54.255.25565,534
56125.55.0.0/16125.55.0.1 to 125.55.255.254125.55.255.25565,534
57125.56.0.0/16125.56.0.1 to 125.56.255.254125.56.255.25565,534
58125.57.0.0/16125.57.0.1 to 125.57.255.254125.57.255.25565,534
59125.58.0.0/16125.58.0.1 to 125.58.255.254125.58.255.25565,534
60125.59.0.0/16125.59.0.1 to 125.59.255.254125.59.255.25565,534
61125.60.0.0/16125.60.0.1 to 125.60.255.254125.60.255.25565,534
62125.61.0.0/16125.61.0.1 to 125.61.255.254125.61.255.25565,534
63125.62.0.0/16125.62.0.1 to 125.62.255.254125.62.255.25565,534
64125.63.0.0/16125.63.0.1 to 125.63.255.254125.63.255.25565,534
65125.64.0.0/16125.64.0.1 to 125.64.255.254125.64.255.25565,534
66125.65.0.0/16125.65.0.1 to 125.65.255.254125.65.255.25565,534
67125.66.0.0/16125.66.0.1 to 125.66.255.254125.66.255.25565,534
68125.67.0.0/16125.67.0.1 to 125.67.255.254125.67.255.25565,534
69125.68.0.0/16125.68.0.1 to 125.68.255.254125.68.255.25565,534
70125.69.0.0/16125.69.0.1 to 125.69.255.254125.69.255.25565,534
71125.70.0.0/16125.70.0.1 to 125.70.255.254125.70.255.25565,534
72125.71.0.0/16125.71.0.1 to 125.71.255.254125.71.255.25565,534
73125.72.0.0/16125.72.0.1 to 125.72.255.254125.72.255.25565,534
74125.73.0.0/16125.73.0.1 to 125.73.255.254125.73.255.25565,534
75125.74.0.0/16125.74.0.1 to 125.74.255.254125.74.255.25565,534
76125.75.0.0/16125.75.0.1 to 125.75.255.254125.75.255.25565,534
77125.76.0.0/16125.76.0.1 to 125.76.255.254125.76.255.25565,534
78125.77.0.0/16125.77.0.1 to 125.77.255.254125.77.255.25565,534
79125.78.0.0/16125.78.0.1 to 125.78.255.254125.78.255.25565,534
80125.79.0.0/16125.79.0.1 to 125.79.255.254125.79.255.25565,534
81125.80.0.0/16125.80.0.1 to 125.80.255.254125.80.255.25565,534
82125.81.0.0/16125.81.0.1 to 125.81.255.254125.81.255.25565,534
83125.82.0.0/16125.82.0.1 to 125.82.255.254125.82.255.25565,534
84125.83.0.0/16125.83.0.1 to 125.83.255.254125.83.255.25565,534
85125.84.0.0/16125.84.0.1 to 125.84.255.254125.84.255.25565,534
86125.85.0.0/16125.85.0.1 to 125.85.255.254125.85.255.25565,534
87125.86.0.0/16125.86.0.1 to 125.86.255.254125.86.255.25565,534
88125.87.0.0/16125.87.0.1 to 125.87.255.254125.87.255.25565,534
89125.88.0.0/16125.88.0.1 to 125.88.255.254125.88.255.25565,534
90125.89.0.0/16125.89.0.1 to 125.89.255.254125.89.255.25565,534
91125.90.0.0/16125.90.0.1 to 125.90.255.254125.90.255.25565,534
92125.91.0.0/16125.91.0.1 to 125.91.255.254125.91.255.25565,534
93125.92.0.0/16125.92.0.1 to 125.92.255.254125.92.255.25565,534
94125.93.0.0/16125.93.0.1 to 125.93.255.254125.93.255.25565,534
95125.94.0.0/16125.94.0.1 to 125.94.255.254125.94.255.25565,534
96125.95.0.0/16125.95.0.1 to 125.95.255.254125.95.255.25565,534
97125.96.0.0/16125.96.0.1 to 125.96.255.254125.96.255.25565,534
98125.97.0.0/16125.97.0.1 to 125.97.255.254125.97.255.25565,534
99125.98.0.0/16125.98.0.1 to 125.98.255.254125.98.255.25565,534
100125.99.0.0/16125.99.0.1 to 125.99.255.254125.99.255.25565,534
101125.100.0.0/16125.100.0.1 to 125.100.255.254125.100.255.25565,534
102125.101.0.0/16125.101.0.1 to 125.101.255.254125.101.255.25565,534
103125.102.0.0/16125.102.0.1 to 125.102.255.254125.102.255.25565,534
104125.103.0.0/16125.103.0.1 to 125.103.255.254125.103.255.25565,534
105125.104.0.0/16125.104.0.1 to 125.104.255.254125.104.255.25565,534
106125.105.0.0/16125.105.0.1 to 125.105.255.254125.105.255.25565,534
107125.106.0.0/16125.106.0.1 to 125.106.255.254125.106.255.25565,534
108125.107.0.0/16125.107.0.1 to 125.107.255.254125.107.255.25565,534
109125.108.0.0/16125.108.0.1 to 125.108.255.254125.108.255.25565,534
110125.109.0.0/16125.109.0.1 to 125.109.255.254125.109.255.25565,534
111125.110.0.0/16125.110.0.1 to 125.110.255.254125.110.255.25565,534
112125.111.0.0/16125.111.0.1 to 125.111.255.254125.111.255.25565,534
113125.112.0.0/16125.112.0.1 to 125.112.255.254125.112.255.25565,534
114125.113.0.0/16125.113.0.1 to 125.113.255.254125.113.255.25565,534
115125.114.0.0/16125.114.0.1 to 125.114.255.254125.114.255.25565,534
116125.115.0.0/16125.115.0.1 to 125.115.255.254125.115.255.25565,534
117125.116.0.0/16125.116.0.1 to 125.116.255.254125.116.255.25565,534
118125.117.0.0/16125.117.0.1 to 125.117.255.254125.117.255.25565,534
119125.118.0.0/16125.118.0.1 to 125.118.255.254125.118.255.25565,534
120125.119.0.0/16125.119.0.1 to 125.119.255.254125.119.255.25565,534
121125.120.0.0/16125.120.0.1 to 125.120.255.254125.120.255.25565,534
122125.121.0.0/16125.121.0.1 to 125.121.255.254125.121.255.25565,534
123125.122.0.0/16125.122.0.1 to 125.122.255.254125.122.255.25565,534
124125.123.0.0/16125.123.0.1 to 125.123.255.254125.123.255.25565,534
125125.124.0.0/16125.124.0.1 to 125.124.255.254125.124.255.25565,534
126125.125.0.0/16125.125.0.1 to 125.125.255.254125.125.255.25565,534
127125.126.0.0/16125.126.0.1 to 125.126.255.254125.126.255.25565,534
128125.127.0.0/16125.127.0.1 to 125.127.255.254125.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses